%define upstream_name	 Test-Tester
%define upstream_version 0.108

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ease testing test modules built with Test::Builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder)
BuildArch:  noarch

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc ARTISTIC CHANGES META.yml README TODO
%{_mandir}/*/*
%{perl_vendorlib}/Test/Tester
%{perl_vendorlib}/Test/Tester.pm

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.108.0-2.mga3
+ Revision: 373840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 kharec <kharec> 0.108.0-1.mga2
+ Revision: 174779
- update to 0.108

* Wed Jan 19 2011 jquelin <jquelin> 0.107.0-5.mga1
+ Revision: 24068
- clean spec file
- imported package perl-Test-Tester

